#!/bin/sh
echo 'name: abstract-deque
version: 0.2
id: abstract-deque-0.2-26cd9edb4fa7b4793b84c190681a4a84

license: BSD3
copyright:
maintainer: rrnewton@gmail.com
stability:
homepage: https://github.com/rrnewton/haskell-lockfree-queue/wiki
package-url:
synopsis: Abstract, parameterized interface to mutable Deques.
description: An abstract interface to highly-parameterizable queues/deques.
             .
             Background: There exists a feature space for queues that extends between:
             .
             * simple, single-ended, non-concurrent, bounded queues
             .
             * double-ended, threadsafe, growable queues
             .
             ... with important points inbetween (such as
             the queues used for work-stealing).
             .
             This package includes an interface for Deques that allows the
             programmer to use a single API for all of the above, while using the
             type-system to select an efficient implementation given the
             requirements (using type families).
             .
             This package also includes a simple reference implementation based
             on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules: Data.Concurrent.Deque.Class
                 Data.Concurrent.Deque.Tests Data.Concurrent.Deque.Reference
                 Data.Concurrent.Deque.Reference.DequeInstance
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/abstract-deque-0.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/abstract-deque-0.2
              /usr/local/lib
hs-libraries: HSabstract-deque-0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.5.2-6e02ecc15e3cc5ab8ef10df50d05a1a9
         array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3
         base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2
         random-1.0.1.1-be5f2d60add646ce67e610b948ebae69
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/abstract-deque-0.2/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/abstract-deque-0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
